Bug 805047 - Review Request: janino - An embedded Java compiler
Review Request: janino - An embedded Java compiler
Status: CLOSED DUPLICATE of bug 806669
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 805035 805037
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 10:15 EDT by Mary Ellen Foster
Modified: 2012-04-01 09:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 11:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log from local mock build (76.28 KB, text/x-log)
2012-03-20 10:17 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2012-03-20 10:15:12 EDT
Spec URL: http://mef.fedorapeople.org//janino.spec
SRPM URL: http://mef.fedorapeople.org//janino-2.6.1-1.fc16.src.rpm

Description:
Janino is a super-small, super-fast Java compiler. Not only can it compile
a set of source files to a set of class files like the JAVAC tool, but also
can it compile a Java expression, block, class body or source file in
memory, load the bytecode and execute it directly in the same JVM. Janino
is not intended to be a development tool, but an embedded compiler for
run-time compilation purposes, e.g. expression evaluators or "server pages"
engines like JSP.
Comment 1 Mary Ellen Foster 2012-03-20 10:17:11 EDT
Created attachment 571421 [details]
build.log from local mock build

This package got retired from Fedora when I didn't have time to maintain it. I'd like to get it re-added.

Here is a local mock build log (with commons-compiler and janino-parent added to the buildroot).
Comment 2 Mary Ellen Foster 2012-03-30 11:26:57 EDT

*** This bug has been marked as a duplicate of bug 806669 ***

Note You need to log in before you can comment on or make changes to this bug.